USE [Lulamb2011_v1]
GO

/****** Object:  StoredProcedure [dbo].[SelectLstMenuXIDMenu]    Script Date: 03/03/2011 16:02:10 ******/
SET ANSI_NULLS ON
GO

SET QUOTED_IDENTIFIER ON
GO

-- =============================================
-- Author:		<Author,,Name>
-- Create date: <Create Date,,>
-- Description:	<Description,,>
-- =============================================
CREATE PROCEDURE [dbo].[SelectLstMenuXIDMenu] 
	@IDMenu int
	,@IDCatalogoNivelDeAcceso int
AS
BEGIN
	select EM.IDElementoDeMenu
		  ,IDCatalogoTipoElementoDeMenu
		  ,IDElementoPadre
		  ,EM.sNombre
		  ,sLink
		  ,EM.sUrlImagen
		  ,EM.sUrlImagenOver
		  ,bMostrarTitulo
		  ,M.IDCatalogoOrientacionMenu
	from ElementoDeMenu [EM]
	INNER JOIN Menu [M] on M.IDMenu=EM.IDMenu
	INNER JOIN CatalogoNivelDeAcceso [CNA] on CNA.IDCatalogoNivelDeAcceso = EM.IDCatalogoNivelDeAcceso
	WHERE EM.IDMenu = @IDMenu
	AND EM.bActivo = 1 
	AND M.bActivo = 1
	--AND (EM.IDElementoPadre <> 0 or @IDMenu = 0)
	AND CNA.iNivelDeAcceso <= (Select CNA1.iNivelDeAcceso 
									from CatalogoNivelDeAcceso [CNA1] 
										where CNA1.IDCatalogoNivelDeAcceso = @IDCatalogoNivelDeAcceso)
	Order by EM.iOrden,EM.sNombre
END

GO

