USE [Lulamb2011_v1]
GO

/****** Object:  Table [dbo].[ElementoDeMenu]    Script Date: 03/03/2011 16:00:25 ******/
SET ANSI_NULLS ON
GO

SET QUOTED_IDENTIFIER ON
GO

SET ANSI_PADDING ON
GO

CREATE TABLE [dbo].[ElementoDeMenu](
	[IDElementoDeMenu] [int] IDENTITY(1,1) NOT NULL,
	[IDMenu] [int] NOT NULL,
	[IDCatalogoTipoElementoDeMenu] [int] NOT NULL,
	[IDElementoPadre] [int] NOT NULL,
	[sNombre] [varchar](70) NOT NULL,
	[sLink] [nvarchar](1000) NOT NULL,
	[sUrlImagen] [nvarchar](1000) NULL,
	[sUrlImagenOver] [nvarchar](1000) NULL,
	[bMostrarTitulo] [bit] NOT NULL,
	[iOrden] [int] NOT NULL,
	[bActivo] [bit] NOT NULL,
	[IDCatalogoNivelDeAcceso] [int] NOT NULL,
 CONSTRAINT [PK_ElementoDeMenu] PRIMARY KEY CLUSTERED 
(
	[IDElementoDeMenu] ASC
)WITH (PAD_INDEX  = OFF, STATISTICS_NORECOMPUTE  = OFF, IGNORE_DUP_KEY = OFF, ALLOW_ROW_LOCKS  = ON, ALLOW_PAGE_LOCKS  = ON) ON [PRIMARY]
) ON [PRIMARY]

GO

SET ANSI_PADDING OFF
GO

ALTER TABLE [dbo].[ElementoDeMenu]  WITH CHECK ADD  CONSTRAINT [FK_ElementoDeMenu_CatalogoTipoElementoDeMenu] FOREIGN KEY([IDCatalogoTipoElementoDeMenu])
REFERENCES [dbo].[CatalogoTipoElementoDeMenu] ([IDCatalogoTipoElementoDeMenu])
GO

ALTER TABLE [dbo].[ElementoDeMenu] CHECK CONSTRAINT [FK_ElementoDeMenu_CatalogoTipoElementoDeMenu]
GO

ALTER TABLE [dbo].[ElementoDeMenu]  WITH CHECK ADD  CONSTRAINT [FK_ElementoDeMenu_Menu] FOREIGN KEY([IDMenu])
REFERENCES [dbo].[Menu] ([IDMenu])
GO

ALTER TABLE [dbo].[ElementoDeMenu] CHECK CONSTRAINT [FK_ElementoDeMenu_Menu]
GO

ALTER TABLE [dbo].[ElementoDeMenu] ADD  CONSTRAINT [DF_ElementoDeMenu_bActivo]  DEFAULT ((1)) FOR [bActivo]
GO

